> For the complete documentation index, see [llms.txt](https://guides.data.gouv.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guides.data.gouv.fr/api-de-data.gouv.fr/reference/topics.md).

# topics

Topics related operations

## GET /topics/

> List all topics

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"2.0"},"tags":[{"name":"topics","description":"Topics related operations"}],"servers":[{"url":"https://www.data.gouv.fr/api/2"}],"paths":{"/topics/":{"get":{"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicPage"}}}}},"summary":"List all topics","operationId":"get_topics_api","parameters":[{"schema":{"type":"string"},"name":"q","in":"query","description":"The search query"},{"schema":{"type":"string","enum":["name","created","last_modified","-name","-created","-last_modified"]},"name":"sort","in":"query","description":"The field (and direction) on which sorting apply"},{"schema":{"type":"integer","default":1,"exclusiveMinimum":0},"name":"page","in":"query","description":"The page to fetch"},{"schema":{"type":"integer","default":20,"exclusiveMinimum":0},"name":"page_size","in":"query","description":"The page size to fetch"},{"schema":{"type":"boolean"},"name":"private","in":"query","description":"If set to true, it will filter on private topics only. If set to false, it will exclude private topics. User must be authenticated and results are limited to user visibility"},{"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"name":"tag","in":"query"},{"schema":{"type":"string"},"name":"geozone","in":"query"},{"schema":{"type":"string"},"name":"granularity","in":"query"},{"schema":{"type":"string"},"name":"organization","in":"query"},{"schema":{"type":"string"},"name":"owner","in":"query"},{"schema":{"type":"boolean"},"name":"featured","in":"query"},{"schema":{"type":"string"},"name":"dataset","in":"query","description":"A dataset id to filter topics containing it"},{"schema":{"type":"string"},"name":"reuse","in":"query","description":"A reuse id to filter topics containing it"},{"schema":{"type":"string"},"name":"dataservice","in":"query","description":"A dataservice id to filter topics containing it"},{"schema":{"type":"string","format":"mask"},"name":"X-Fields","in":"header","description":"An optional fields mask"}],"tags":["topics"]}}},"components":{"schemas":{"TopicPage":{"required":["page","page_size","total"],"properties":{"data":{"type":"array","description":"The page data","items":{"$ref":"#/components/schemas/Topic"}},"page":{"type":"integer","description":"The current page","minimum":1},"page_size":{"type":"integer","description":"The page size used for pagination","minimum":0},"total":{"type":"integer","description":"The total paginated items","minimum":0},"next_page":{"type":"string","description":"The next page URL if exists"},"previous_page":{"type":"string","description":"The previous page URL if exists"}},"type":"object"},"Topic":{"required":["created_at","id","last_modified","name","slug"],"properties":{"id":{"type":"string","readOnly":true},"owner":{"description":"Only present if organization is not set. Can only be set to the current authenticated user.","allOf":[{"$ref":"#/components/schemas/UserReference"}]},"organization":{"description":"Only present if owner is not set. Can only be set to an organization of the current authenticated user.","allOf":[{"$ref":"#/components/schemas/OrganizationReference"}]},"created_at":{"type":"string","format":"date-time","readOnly":true},"last_modified":{"type":"string","format":"date-time","readOnly":true},"name":{"type":"string"},"slug":{"type":"string","readOnly":true,"maxLength":255},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"color":{"type":"integer"},"featured":{"type":"boolean","readOnly":true},"private":{"type":"boolean"},"extras":{"type":"object"},"spatial":{"$ref":"#/components/schemas/SpatialCoverage (read)"},"page":{"type":"string","description":"Link to the udata web page for this topic","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this topic","readOnly":true},"elements":{"type":"object","description":"Link to the topic elements"}},"type":"object"},"UserReference":{"required":["first_name","last_name","slug"],"properties":{"slug":{"type":"string","readOnly":true,"maxLength":255},"first_name":{"type":"string","maxLength":255},"last_name":{"type":"string","maxLength":255},"avatar":{"type":"string","description":"URL of the image","readOnly":true},"avatar_thumbnail":{"type":"string","description":"URL of the cropped and squared image (500x500)","readOnly":true},"deleted":{"type":"string","format":"date-time","description":"The date the account was deleted, null for a live account","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this user","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this user","readOnly":true}},"type":"object"},"OrganizationReference":{"required":["name","slug"],"properties":{"badges":{"type":"array","readOnly":true,"items":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Badge (read)"}]}},"name":{"type":"string"},"acronym":{"type":"string","maxLength":128},"slug":{"type":"string","readOnly":true,"maxLength":255},"logo":{"type":"string","description":"URL of the image","readOnly":true},"logo_thumbnail":{"type":"string","description":"URL of the cropped and squared image (100x100)","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this organization","readOnly":true},"permissions":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/OrganizationPermissions"}]},"uri":{"type":"string","description":"Link to the API endpoint for this organization","readOnly":true}},"type":"object"},"Badge (read)":{"required":["kind"],"properties":{"kind":{"type":"string"}},"type":"object"},"OrganizationPermissions":{"properties":{"edit":{"type":"boolean"},"delete":{"type":"boolean"},"members":{"type":"boolean"},"harvest":{"type":"boolean"},"private":{"type":"boolean"}},"type":"object"},"SpatialCoverage (read)":{"properties":{"geom":{"description":"A multipolygon for the whole coverage","allOf":[{"$ref":"#/components/schemas/GeoJSON"}]},"zones":{"type":"object","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)"},"granularity":{"type":"object","description":"The spatial/territorial granularity (full Granularity object if `X-Get-Datasets-Full-Objects` is set, ID of the granularity otherwise)","default":"other"}},"type":"object"},"GeoJSON":{"required":["coordinates","type"],"properties":{"type":{"type":"string","description":"The GeoJSON Type","enum":["Point","LineString","Polygon","MultiPoint","MultiLineString","MultiPolygon"]},"coordinates":{"type":"array","description":"The geometry as coordinates lists","items":{"type":"object"}}},"type":"object"}}}}
```

## POST /topics/

> Create a topic

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"2.0"},"tags":[{"name":"topics","description":"Topics related operations"}],"servers":[{"url":"https://www.data.gouv.fr/api/2"}],"paths":{"/topics/":{"post":{"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Topic"}}}},"400":{"description":"Validation error"}},"summary":"Create a topic","operationId":"create_topic","parameters":[{"schema":{"type":"string","format":"mask"},"name":"X-Fields","in":"header","description":"An optional fields mask"}],"tags":["topics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicInput"}}},"required":true}}}},"components":{"schemas":{"Topic":{"required":["created_at","id","last_modified","name","slug"],"properties":{"id":{"type":"string","readOnly":true},"owner":{"description":"Only present if organization is not set. Can only be set to the current authenticated user.","allOf":[{"$ref":"#/components/schemas/UserReference"}]},"organization":{"description":"Only present if owner is not set. Can only be set to an organization of the current authenticated user.","allOf":[{"$ref":"#/components/schemas/OrganizationReference"}]},"created_at":{"type":"string","format":"date-time","readOnly":true},"last_modified":{"type":"string","format":"date-time","readOnly":true},"name":{"type":"string"},"slug":{"type":"string","readOnly":true,"maxLength":255},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"color":{"type":"integer"},"featured":{"type":"boolean","readOnly":true},"private":{"type":"boolean"},"extras":{"type":"object"},"spatial":{"$ref":"#/components/schemas/SpatialCoverage (read)"},"page":{"type":"string","description":"Link to the udata web page for this topic","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this topic","readOnly":true},"elements":{"type":"object","description":"Link to the topic elements"}},"type":"object"},"UserReference":{"required":["first_name","last_name","slug"],"properties":{"slug":{"type":"string","readOnly":true,"maxLength":255},"first_name":{"type":"string","maxLength":255},"last_name":{"type":"string","maxLength":255},"avatar":{"type":"string","description":"URL of the image","readOnly":true},"avatar_thumbnail":{"type":"string","description":"URL of the cropped and squared image (500x500)","readOnly":true},"deleted":{"type":"string","format":"date-time","description":"The date the account was deleted, null for a live account","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this user","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this user","readOnly":true}},"type":"object"},"OrganizationReference":{"required":["name","slug"],"properties":{"badges":{"type":"array","readOnly":true,"items":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Badge (read)"}]}},"name":{"type":"string"},"acronym":{"type":"string","maxLength":128},"slug":{"type":"string","readOnly":true,"maxLength":255},"logo":{"type":"string","description":"URL of the image","readOnly":true},"logo_thumbnail":{"type":"string","description":"URL of the cropped and squared image (100x100)","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this organization","readOnly":true},"permissions":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/OrganizationPermissions"}]},"uri":{"type":"string","description":"Link to the API endpoint for this organization","readOnly":true}},"type":"object"},"Badge (read)":{"required":["kind"],"properties":{"kind":{"type":"string"}},"type":"object"},"OrganizationPermissions":{"properties":{"edit":{"type":"boolean"},"delete":{"type":"boolean"},"members":{"type":"boolean"},"harvest":{"type":"boolean"},"private":{"type":"boolean"}},"type":"object"},"SpatialCoverage (read)":{"properties":{"geom":{"description":"A multipolygon for the whole coverage","allOf":[{"$ref":"#/components/schemas/GeoJSON"}]},"zones":{"type":"object","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)"},"granularity":{"type":"object","description":"The spatial/territorial granularity (full Granularity object if `X-Get-Datasets-Full-Objects` is set, ID of the granularity otherwise)","default":"other"}},"type":"object"},"GeoJSON":{"required":["coordinates","type"],"properties":{"type":{"type":"string","description":"The GeoJSON Type","enum":["Point","LineString","Polygon","MultiPoint","MultiLineString","MultiPolygon"]},"coordinates":{"type":"array","description":"The geometry as coordinates lists","items":{"type":"object"}}},"type":"object"},"TopicInput":{"required":["name"],"properties":{"owner":{"type":"string","description":"Only present if organization is not set. Can only be set to the current authenticated user."},"organization":{"type":"string","description":"Only present if owner is not set. Can only be set to an organization of the current authenticated user."},"name":{"type":"string"},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"color":{"type":"integer"},"private":{"type":"boolean"},"extras":{"type":"object"},"spatial":{"$ref":"#/components/schemas/SpatialCoverage (write)"},"elements":{"type":"array","description":"The topic elements","items":{"$ref":"#/components/schemas/TopicElement (read)"}}},"type":"object"},"SpatialCoverage (write)":{"properties":{"geom":{"description":"A multipolygon for the whole coverage","allOf":[{"$ref":"#/components/schemas/GeoJSON"}]},"zones":{"type":"array","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)","items":{"type":"string","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)"}},"granularity":{"type":"string","description":"The spatial/territorial granularity (full Granularity object if `X-Get-Datasets-Full-Objects` is set, ID of the granularity otherwise)","default":"other"}},"type":"object"},"TopicElement (read)":{"required":["id"],"properties":{"id":{"type":"string","readOnly":true},"title":{"type":"string"},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"extras":{"type":"object"},"element":{"$ref":"#/components/schemas/ModelReference"}},"type":"object"},"ModelReference":{"required":["class","id"],"properties":{"class":{"type":"string","description":"The model class"},"id":{"type":"string","description":"The object identifier"}},"type":"object"}}}}
```

## GET /topics/{topic}/

> Get a given topic

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"2.0"},"tags":[{"name":"topics","description":"Topics related operations"}],"servers":[{"url":"https://www.data.gouv.fr/api/2"}],"paths":{"/topics/{topic}/":{"get":{"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Topic"}}}},"404":{"description":"Topic not found"}},"summary":"Get a given topic","operationId":"get_topic","parameters":[{"schema":{"type":"string","format":"mask"},"name":"X-Fields","in":"header","description":"An optional fields mask"}],"tags":["topics"]}}},"components":{"schemas":{"Topic":{"required":["created_at","id","last_modified","name","slug"],"properties":{"id":{"type":"string","readOnly":true},"owner":{"description":"Only present if organization is not set. Can only be set to the current authenticated user.","allOf":[{"$ref":"#/components/schemas/UserReference"}]},"organization":{"description":"Only present if owner is not set. Can only be set to an organization of the current authenticated user.","allOf":[{"$ref":"#/components/schemas/OrganizationReference"}]},"created_at":{"type":"string","format":"date-time","readOnly":true},"last_modified":{"type":"string","format":"date-time","readOnly":true},"name":{"type":"string"},"slug":{"type":"string","readOnly":true,"maxLength":255},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"color":{"type":"integer"},"featured":{"type":"boolean","readOnly":true},"private":{"type":"boolean"},"extras":{"type":"object"},"spatial":{"$ref":"#/components/schemas/SpatialCoverage (read)"},"page":{"type":"string","description":"Link to the udata web page for this topic","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this topic","readOnly":true},"elements":{"type":"object","description":"Link to the topic elements"}},"type":"object"},"UserReference":{"required":["first_name","last_name","slug"],"properties":{"slug":{"type":"string","readOnly":true,"maxLength":255},"first_name":{"type":"string","maxLength":255},"last_name":{"type":"string","maxLength":255},"avatar":{"type":"string","description":"URL of the image","readOnly":true},"avatar_thumbnail":{"type":"string","description":"URL of the cropped and squared image (500x500)","readOnly":true},"deleted":{"type":"string","format":"date-time","description":"The date the account was deleted, null for a live account","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this user","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this user","readOnly":true}},"type":"object"},"OrganizationReference":{"required":["name","slug"],"properties":{"badges":{"type":"array","readOnly":true,"items":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Badge (read)"}]}},"name":{"type":"string"},"acronym":{"type":"string","maxLength":128},"slug":{"type":"string","readOnly":true,"maxLength":255},"logo":{"type":"string","description":"URL of the image","readOnly":true},"logo_thumbnail":{"type":"string","description":"URL of the cropped and squared image (100x100)","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this organization","readOnly":true},"permissions":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/OrganizationPermissions"}]},"uri":{"type":"string","description":"Link to the API endpoint for this organization","readOnly":true}},"type":"object"},"Badge (read)":{"required":["kind"],"properties":{"kind":{"type":"string"}},"type":"object"},"OrganizationPermissions":{"properties":{"edit":{"type":"boolean"},"delete":{"type":"boolean"},"members":{"type":"boolean"},"harvest":{"type":"boolean"},"private":{"type":"boolean"}},"type":"object"},"SpatialCoverage (read)":{"properties":{"geom":{"description":"A multipolygon for the whole coverage","allOf":[{"$ref":"#/components/schemas/GeoJSON"}]},"zones":{"type":"object","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)"},"granularity":{"type":"object","description":"The spatial/territorial granularity (full Granularity object if `X-Get-Datasets-Full-Objects` is set, ID of the granularity otherwise)","default":"other"}},"type":"object"},"GeoJSON":{"required":["coordinates","type"],"properties":{"type":{"type":"string","description":"The GeoJSON Type","enum":["Point","LineString","Polygon","MultiPoint","MultiLineString","MultiPolygon"]},"coordinates":{"type":"array","description":"The geometry as coordinates lists","items":{"type":"object"}}},"type":"object"}}}}
```

## PUT /topics/{topic}/

> Update a given topic

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"2.0"},"tags":[{"name":"topics","description":"Topics related operations"}],"servers":[{"url":"https://www.data.gouv.fr/api/2"}],"paths":{"/topics/{topic}/":{"put":{"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Topic"}}}},"400":{"description":"Validation error"},"403":{"description":"Forbidden"},"404":{"description":"Topic not found"}},"summary":"Update a given topic","operationId":"update_topic","parameters":[{"schema":{"type":"string","format":"mask"},"name":"X-Fields","in":"header","description":"An optional fields mask"}],"tags":["topics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicInput"}}},"required":true}}}},"components":{"schemas":{"Topic":{"required":["created_at","id","last_modified","name","slug"],"properties":{"id":{"type":"string","readOnly":true},"owner":{"description":"Only present if organization is not set. Can only be set to the current authenticated user.","allOf":[{"$ref":"#/components/schemas/UserReference"}]},"organization":{"description":"Only present if owner is not set. Can only be set to an organization of the current authenticated user.","allOf":[{"$ref":"#/components/schemas/OrganizationReference"}]},"created_at":{"type":"string","format":"date-time","readOnly":true},"last_modified":{"type":"string","format":"date-time","readOnly":true},"name":{"type":"string"},"slug":{"type":"string","readOnly":true,"maxLength":255},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"color":{"type":"integer"},"featured":{"type":"boolean","readOnly":true},"private":{"type":"boolean"},"extras":{"type":"object"},"spatial":{"$ref":"#/components/schemas/SpatialCoverage (read)"},"page":{"type":"string","description":"Link to the udata web page for this topic","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this topic","readOnly":true},"elements":{"type":"object","description":"Link to the topic elements"}},"type":"object"},"UserReference":{"required":["first_name","last_name","slug"],"properties":{"slug":{"type":"string","readOnly":true,"maxLength":255},"first_name":{"type":"string","maxLength":255},"last_name":{"type":"string","maxLength":255},"avatar":{"type":"string","description":"URL of the image","readOnly":true},"avatar_thumbnail":{"type":"string","description":"URL of the cropped and squared image (500x500)","readOnly":true},"deleted":{"type":"string","format":"date-time","description":"The date the account was deleted, null for a live account","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this user","readOnly":true},"uri":{"type":"string","description":"Link to the API endpoint for this user","readOnly":true}},"type":"object"},"OrganizationReference":{"required":["name","slug"],"properties":{"badges":{"type":"array","readOnly":true,"items":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Badge (read)"}]}},"name":{"type":"string"},"acronym":{"type":"string","maxLength":128},"slug":{"type":"string","readOnly":true,"maxLength":255},"logo":{"type":"string","description":"URL of the image","readOnly":true},"logo_thumbnail":{"type":"string","description":"URL of the cropped and squared image (100x100)","readOnly":true},"page":{"type":"string","description":"Link to the udata web page for this organization","readOnly":true},"permissions":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/OrganizationPermissions"}]},"uri":{"type":"string","description":"Link to the API endpoint for this organization","readOnly":true}},"type":"object"},"Badge (read)":{"required":["kind"],"properties":{"kind":{"type":"string"}},"type":"object"},"OrganizationPermissions":{"properties":{"edit":{"type":"boolean"},"delete":{"type":"boolean"},"members":{"type":"boolean"},"harvest":{"type":"boolean"},"private":{"type":"boolean"}},"type":"object"},"SpatialCoverage (read)":{"properties":{"geom":{"description":"A multipolygon for the whole coverage","allOf":[{"$ref":"#/components/schemas/GeoJSON"}]},"zones":{"type":"object","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)"},"granularity":{"type":"object","description":"The spatial/territorial granularity (full Granularity object if `X-Get-Datasets-Full-Objects` is set, ID of the granularity otherwise)","default":"other"}},"type":"object"},"GeoJSON":{"required":["coordinates","type"],"properties":{"type":{"type":"string","description":"The GeoJSON Type","enum":["Point","LineString","Polygon","MultiPoint","MultiLineString","MultiPolygon"]},"coordinates":{"type":"array","description":"The geometry as coordinates lists","items":{"type":"object"}}},"type":"object"},"TopicInput":{"required":["name"],"properties":{"owner":{"type":"string","description":"Only present if organization is not set. Can only be set to the current authenticated user."},"organization":{"type":"string","description":"Only present if owner is not set. Can only be set to an organization of the current authenticated user."},"name":{"type":"string"},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"color":{"type":"integer"},"private":{"type":"boolean"},"extras":{"type":"object"},"spatial":{"$ref":"#/components/schemas/SpatialCoverage (write)"},"elements":{"type":"array","description":"The topic elements","items":{"$ref":"#/components/schemas/TopicElement (read)"}}},"type":"object"},"SpatialCoverage (write)":{"properties":{"geom":{"description":"A multipolygon for the whole coverage","allOf":[{"$ref":"#/components/schemas/GeoJSON"}]},"zones":{"type":"array","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)","items":{"type":"string","description":"The covered zones identifiers (full GeoZone objects if `X-Get-Datasets-Full-Objects` is set, IDs of the zones otherwise)"}},"granularity":{"type":"string","description":"The spatial/territorial granularity (full Granularity object if `X-Get-Datasets-Full-Objects` is set, ID of the granularity otherwise)","default":"other"}},"type":"object"},"TopicElement (read)":{"required":["id"],"properties":{"id":{"type":"string","readOnly":true},"title":{"type":"string"},"description":{"type":"string","format":"markdown"},"tags":{"type":"array","items":{"type":"string"}},"extras":{"type":"object"},"element":{"$ref":"#/components/schemas/ModelReference"}},"type":"object"},"ModelReference":{"required":["class","id"],"properties":{"class":{"type":"string","description":"The model class"},"id":{"type":"string","description":"The object identifier"}},"type":"object"}}}}
```

## DELETE /topics/{topic}/

> Delete a given topic

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"2.0"},"tags":[{"name":"topics","description":"Topics related operations"}],"servers":[{"url":"https://www.data.gouv.fr/api/2"}],"paths":{"/topics/{topic}/":{"delete":{"responses":{"204":{"description":"Object deleted"},"403":{"description":"Forbidden"},"404":{"description":"Topic not found"}},"summary":"Delete a given topic","operationId":"delete_topic","tags":["topics"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guides.data.gouv.fr/api-de-data.gouv.fr/reference/topics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
